#/*$Id: user.properties,v 1.19.14.10 2005/09/04 16:56:18 christianfoltin Exp $*/ -*- mode:sh -*-
#This is the language that should be used in the program. "automatic" tries to load the current user's language. 
language = automatic

antialias = antialias_edges
html_export_folding = html_export_fold_currently_folded

# Experimental features, "true" / "false"
experimental_file_locking_on = false
#If dnd is enabled. "true" or "false"
draganddrop = true

#The Modes which Freemind will load on startup, full Class names, comma, identifier, separated by a comma.
#modes = freemind.modes.browsemode.BrowseMode,Browse,freemind.modes.mindmapmode.MindMapMode,MindMap,freemind.modes.filemode.FileMode,File
modes_since_0_8_0 = freemind.modes.browsemode.BrowseMode,Browse,freemind.modes.mindmapmode.MindMapMode,MindMap,freemind.modes.filemode.FileMode,File
#The initial mode that is loaded on startup
initial_mode = MindMap

#This is the place where the users properties file is located. It is ignored by the applet (set Parameters in the html
#file instead). You can write "~" to indicate the users home directory. 
#Of course this works only in the default "freemind.properties", which is included in the jar file, not for the users
#freemind.props out of the jar file.
properties_folder = .freemind
userproperties = user.properties
autoproperties = auto.properties
patternsfile = patterns.xml

#The default new node style. "fork", "bubble" "as_parent" and "combined" are supported 
# standardnodestyle = fork
# standardnodestyle = bubble
standardnodestyle = as_parent

#The root node style if no other is specified. "fork" and "bubble" and "combined" are supported 

standardrootnodestyle = fork


#The standard node color. In html notation (#RRGGBB in hex values) 
standardnodecolor = #000000
#The standard node color if selected. In html notation (#RRGGBB in hex values) 
standardselectednodecolor = #D2D2D2
# old: #4b70ff

#The default node font. This will only work if the font (TrueTypeFont) is available on the system 
defaultfont = SansSerif
defaultfontstyle = 0
defaultfontsize = 12

#The default maximal node width in pixels
max_node_width = 600

#The standard edge color in html notation 
standardedgecolor = #808080
# old: #2540b4
#The standard edge style. "linear" and "bezier" are supported 
standardedgestyle = bezier

#The standard cloud color in html notation 
standardcloudcolor = #f0f0f0
#The standard cloud style. currently, only "bezier" is supported
standardcloudestyle = bezier

#The standard link color in html notation 
standardlinkcolor = #b0b0b0
#The standard link style. currently, only "bezier" is supported
standardlinkestyle = bezier

#The standard background color in html notation 
standardbackgroundcolor = #ffffff
#The Look&Feel to use. "metal","windows","motif", "gtk" are supported, "mac" is available only on MacOS
# default means, that the default look and feel is used.
# If you want to put your own L&F, please, enter the class name here and 
# assure that the corresponding jar file(s) are loaded.
# If there are problems with the look and feel, then choose "nothing" here.
#It work for applets
lookandfeel = default
#The initial size of every map 
mapxsize = 1000
mapysize = 3200
#Where to place new branches. Valid values are "first" and "last" 
placenewbranches = last
#Set Links either relative or absolute 
links = relative
#The URL of the documentation mindmap (.mm)
docmapurl = ./doc/freemind.mm
docmapurl_since_version_0_7_0 = ./doc/freemind.mm
#This is a hash that maps endings of files to programs which should be used to open them.
#It is only used by the application,not by the applet.
#Special keywords: "default" instead of file and "execute" instead of program
#Examples: Unix: "default:netscape,sh:bash,txt:emacs,mp3:freeamp,jpg:xv"
#Windows: "default:explorer,exe:execute,com:execute,bat:execute,mp3:winamp,doc:word"
#filetypes = default:netscape
#     filetypes is obsolete

preferred_browsers = explorer;konqueror;netscape  # Not yet implemented !!!

last_opened_list_length = 25

# {{{ Edit Long node

# above / below
el__buttons_position = above
el__position_window_below_node = true
el__min_default_window_height = 150
el__max_default_window_height = 500
el__min_default_window_width = 600
el__max_default_window_width = 600
el__enter_confirms_by_default = true

# }}}
# {{{ Keystrokes 
# 
# These are the accelerators for the menu items. Valid modifiers are: 
# shift | control | alt | meta | button1 | button2 | button3 
# Valid keys should be all that are defined in java.awt.event.KeyEvent 
# (without the "VK_" prefix), but I found this buggy. All normal char's should work.  

# The ideas employed in choice of keyboard shortcuts are:
#   If there is a standard for a feature, use it
#   Use control modifier whereever possible

#Commands for the program
keystroke_newMap = control N
keystroke_open = control O
keystroke_save = control S
keystroke_saveAs = control shift S
keystroke_print = control P
keystroke_close = control W 
keystroke_quit = control Q
keystroke_export_to_html = control E 
keystroke_export_branch_to_html = control H
keystroke_open_first_in_history = control shift W

keystroke_previousMap = control LEFT 
keystroke_nextMap = control RIGHT 

keystroke_option_dialog = control COMMA

keystroke_mode_MindMap = alt 1
keystroke_mode_Browse = alt 2 
keystroke_mode_File = alt 3

keystroke_node_toggle_italic = control I
keystroke_node_toggle_boldface = control B
keystroke_node_toggle_underlined = control U
keystroke_node_toggle_cloud = control shift B

keystroke_undo = control Z
keystroke_redo = control Y
keystroke_delete_child = DELETE
keystroke_select_all = control A
keystroke_select_branch = control shift A

#Node editing commands
keystroke_cut = control X
keystroke_copy = control C
keystroke_copy_single = control shift C
keystroke_paste = control V 
keystroke_remove = none
keystroke_add_arrow_link_action=control L
keystroke_add_local_link_action=alt L

# Unline with control X, the node you remove with action remove cannot be
# pasted again. Therefore, we do not provide any quick shortcut. We suggest
# that you use cut instead of remove.

#Node navigation commands
keystroke_moveToRoot = ESCAPE
keystroke_move_up = E
keystroke_move_down = D
keystroke_move_left = S
keystroke_move_right = F
keystroke_follow_link = control ENTER

#New node commands
keystroke_add = ENTER
keystroke_add_child = INSERT
# on mac, there is no INSERT key, so use TAB instead.
keystroke_add_child_mac = TAB
keystroke_add_sibling_before = shift ENTER

#Node editing commands
keystroke_edit = F2
keystroke_edit_long_node = alt ENTER
keystroke_join_nodes = control J
keystroke_toggle_folded = SPACE
keystroke_toggle_children_folded = control SPACE
keystroke_set_link_by_filechooser = control shift K
keystroke_set_link_by_textfield = control K
keystroke_set_image_by_filechooser = alt K
keystroke_node_up = control UP
keystroke_node_down = control DOWN
keystroke_node_increase_font_size = control PLUS
keystroke_node_decrease_font_size = control MINUS
keystroke_branch_increase_font_size = control shift PLUS
keystroke_branch_decrease_font_size = control shift MINUS
keystroke_export_branch = alt A
#
keystroke_node_color = alt F
keystroke_node_color_blend = alt B
keystroke_edge_color = alt E

keystroke_find = ctrl F
keystroke_find_next = ctrl G
 
# Apply patterns

# There is no limiting number of the pattern, you can have as many
# keystrokes for patterns as you want.

# The reason I do not follow to F10 and further in this default is that
# F10 has special function on Windows.

keystroke_apply_pattern_1  = F1
keystroke_apply_pattern_2  = control shift N
keystroke_apply_pattern_3  = F3
keystroke_apply_pattern_4  = F4
keystroke_apply_pattern_5  = F5
keystroke_apply_pattern_6  = F6
keystroke_apply_pattern_7  = F7
keystroke_apply_pattern_8  = F8
keystroke_apply_pattern_9  = F9
keystroke_apply_pattern_10 = control F1
keystroke_apply_pattern_11 = control F2
keystroke_apply_pattern_12 = control F3
keystroke_apply_pattern_13 = control F4
keystroke_apply_pattern_14 = control F5
keystroke_apply_pattern_15 = control F6
keystroke_apply_pattern_16 = control F7
keystroke_apply_pattern_17 = control F8
keystroke_apply_pattern_18 = control F9

keystroke_zoom_out = alt UP
keystroke_zoom_in = alt DOWN

# 
# }}}

#Don't display "move" cursor during paper dragging
disable_cursor_move_paper = false

#Key typing: if enabled enters node editing
disable_key_type = false

#Key typing: overwrites content (false) / creates new sibling (true)
#   (requires: disable_key_type = false)
key_type_adds_new = false

#Enable leaves folding 
#  == changing bubble/fork for fold action
#  (although if false, you can always use node style to change it)
enable_leaves_folding = false

# Tell if HTML exported from FreeMind should contain icons.
# The trouble with icons is that quite often the links to
# icons will not be found in the exported HTML.
export_icons_in_html = false

#
# The Browse Mode
#
#The URL of the map that is loaded when browsemode starts up
browsemode_initial_map = ./doc/freemind.mm

#
# The default browser setting
#
# For Windows (the \"\" signs are necessary due to links, that have "=" in their URL).
# default_browser_command_windows_nt = explorer "{0}"
#
# # For "Windows NT":
# default_browser_command_windows_nt = C:\Program Files\Internet Explorer\iexplore.exe "{0}"
#
# The next setting works for the default browser, but eventually starts programs without questions, so be careful!
#
# default_browser_command_windows_nt = rundll32 url.dll,FileProtocolHandler {0}
default_browser_command_windows_nt = cmd.exe /c start "" "{0}"
default_browser_command_windows_9x = command.com /c start "{0}"
# Dimitri proposed:
# default_browser_command_windows_9x = explorer "{0}"
#
# Here the default browser for other operating systems goes:
#
# other is typically Linux:
default_browser_command_other_os = mozilla {0}
#
# and MAC: (thanks to Nick!)
default_browser_command_mac = open -a /Applications/Safari.app {0}

#
# Selection time delay of nodes when mouse is over (in msec)
#
# Change this value to 1 if you want direct selection on mouse over.
#
time_for_delayed_selection=500
#
# with the following switch you can enable/disable the delayed selection scheme
#
# Auto options. Do not modify these as they will be saved to auto.properties anyway.
selection_method = selection_method_direct
#keystroke_selection_method_by_click = control shift D
#keystroke_selection_method_direct  = control shift S
#
#
# time between two consecutive automatic saving actions (in msec):
# ==============================================================
# To disable automatic saving set this number to 2000000000.
time_for_automatic_save=60000
#
# If the files should be deleted automatically on a normal shutdown of Freemind set the following variable to true
delete_automatic_saves_at_exit=true
#
# number n of different files to store the maps into. 
# The first automatic save is done in the first file, and so on 
# up to the n+1-save which is again stored in the first file (cyclic)
number_of_different_files_for_automatic_save=10
#
# to change the default path (this is "java.io.tmpdir" of java), enter a directory path here:
# other possibilities:
# * freemind_home   stands for the directory, where the auto.properties are.
# * default         points to java.io.tmpdir
path_to_automatic_saves=freemind_home
# Dimitri, 01.09.04 
# width of the folding marking circle

foldingsymbolwidth = 6

# Fc, 10.7.2005.
# Levels of undo
undo_levels=100
